Package de.tudresden.sumo.objects

## Class SumoBestLanes.SumoBestLane

- java.lang.Object
- - de.tudresden.sumo.objects.SumoBestLanes.SumoBestLane

- Enclosing class:
    SumoBestLanes

      public class SumoBestLanes.SumoBestLane
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `allowsContinuation` |
    `String` | `laneID` |
    `double` | `length` |
    `LinkedList<String>` | `ll` |
    `double` | `occupation` |
    `int` | `offset` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoBestLane​(String laneID, double length, double occupation, int offset, int allowsContinuation, LinkedList<String> ll)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ll

          public LinkedList<String> ll

    - #### laneID

          public String laneID

    - #### length

          public double length

    - #### occupation

          public double occupation

    - #### offset

          public int offset

    - #### allowsContinuation

          public int allowsContinuation

  - ### Constructor Detail

    - #### SumoBestLane

          public SumoBestLane​(String laneID,
                              double length,
                              double occupation,
                              int offset,
                              int allowsContinuation,
                              LinkedList<String> ll)